
using System.ComponentModel;

namespace GameData
{
    /// <summary>
    /// 事件类型
    /// </summary>
    public enum EventTrackerType
    {
        [Description("数值类型")]
        Number,
        [Description("字符串类型")]
        String,
        [Description("参数类型")]
        Param
    }

    /// <summary>
    /// 事件分类
    /// </summary>
    public enum EventTrackerCategory
    {
        [Description("客户端")]
        Client,
        [Description("服务器")]
        Server,
    }

    /// <summary>
    /// 事件状态
    /// </summary>
    public enum EventTrackerStatus
    {
        [Description("未激活")]
        Inactive,
        [Description("激活")]
        Active,
    }
}